The PhoneBoy Blog


Simplifying Telecom, Mobile Phones, Gadgets, and More!

FireWall-1 FAQ: What versions of Solaris are supported on which versions of FireWall-1?

Please note: This content was from when I was operating my FireWall-1 FAQ site, which I stopped operating in August 2005. For some reason people still have links to this stuff on the Internet that people are still clicking on.


I am making this information available again AS IS. Given how old this information is, it is likely wildly inaccurate. I have no plans to update this information.


If you're still running versions of Check Point VPN-1/FireWall-1 where this information is still relevant to you, do yourself a favor and upgrade to a more recent release. If you happen to be running a current release and the information is useful, it's by happenstance :)


Solaris 2.6 is supported with FireWall-1 4.1 and earlier provided the latest recommended patch cluster is installed.

Solaris 7 is supported with FireWall-1 4.1 in 32-bit mode (64-bit mode is not supported). Solaris 7 worked for FireWall-1 4.0 in 32-bit mode, but it was not supported. NG FP3 does not support Solaris 7.

Solaris 8 is supported with FireWall-1 4.1 SP4 and later in 32-bit mode. In NG FP2 and FP3, it is supported with both 32-bit and 64-bit mode.

Solaris 9 is partly supported on NG FP3.

C-List #Cybersecurity Celebrity, Podcaster, #noagenda Producer, Frequenter of shiny metal tubes, Expressor of personal opinions, and of course, a coffee achiever.